import * as Minecraft from "@minecraft/server";

let prefix = "#";

Minecraft.world.beforeEvents.chatSend.subscribe(async (data) => {
  let player = data.sender;
  if (data.message.toLowerCase() === `${prefix}help`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`function emotehelp`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote panic`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.evoker.casting.v1.0 a 10`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote bonk`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.bonk.funny a 10`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote sus`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.sus.funny a 99990`);
      // Write other codes here to execute in this command
    });
  }

if (data.message.toLowerCase() === `${prefix}emote surprised`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.react_bottom_3 a 10`);
      // Write other codes here to execute in this command
    });
  }

if (data.message.toLowerCase() === `${prefix}emote stretch`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.react_bored_1 f 100`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote dab`) {
    data.cancel = true;
    Minecraft.system.run(() => {
    player.runCommandAsync(`playanimation @s animation.dab.funny a 3`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote criminal`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.player.criminal a 20`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote floss`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.floss.funny a 20`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote tpose`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.player.t_pose a 20`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote sit`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.player.sit a 999999`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote lay`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.player.sleeping a 999999`);
      // Write other codes here to execute in this command
    });
  }

  if (data.message.toLowerCase() === `${prefix}emote pigstep`) {
    data.cancel = true;
    Minecraft.system.run(() => {
      player.runCommandAsync(`playanimation @s animation.piglin.celebrate_hunt_special a 20`);
      // Write other codes here to execute in this command
    });
  }
});
